## org.apache.lucene.search.suggest
Class BufferingTermFreqIteratorWrapper.Entry

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper.Entry

All Implemented Interfaces:
  Comparable<BufferingTermFreqIteratorWrapper.Entry>

Enclosing class:
  BufferingTermFreqIteratorWrapper

    public static final class BufferingTermFreqIteratorWrapper.Entry

extends Object
implements Comparable<BufferingTermFreqIteratorWrapper.Entry>

Entry in the buffer.

Constructor Summary
`BufferingTermFreqIteratorWrapper.Entry(String word, float freq)`

Method Summary
`int` `compareTo(BufferingTermFreqIteratorWrapper.Entry o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferingTermFreqIteratorWrapper.Entry

    public BufferingTermFreqIteratorWrapper.Entry(String word,
                                                  float freq)

Method Detail

### compareTo

    public int compareTo(BufferingTermFreqIteratorWrapper.Entry o)

  Specified by:
    `compareTo` in interface `Comparable<BufferingTermFreqIteratorWrapper.Entry>`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.